import Vue from 'vue'
import Router from 'vue-router'

import routerBefore from '@/config/routerBefore.js'

// 主要
import main from '@/components/main.vue'
// 系统配置管理
import transportReserveFu from '../components/transportReserveFu.vue'
import transportReserveFuAdd from '../components/transportReserveFuAdd.vue'
import transportReserveFuEdit from '../components/transportReserveFuEdit.vue'
import truckDriverReceiveFu from '../components/truckDriverReceiveFu.vue'
import truckEnfactoryFuResult from '../components/truckEnfactoryFuResult.vue'
import truckJiMaoFuResult from '../components/truckJiMaoFuResult.vue'
import truckLeaveFactoryFuResult from '../components/truckLeaveFactoryFuResult.vue'
import truckQualityFuResult from '../components/truckQualityFuResult.vue'
import truckQualityFuResultEdit from '../components/truckQualityFuResultEdit.vue'
import truckReturnResult from '../components/truckReturnResult.vue'
import truckUnloadFuResult from '../components/truckUnloadFuResult.vue'
Vue.use(Router)

const constantRouterMap = [
  {
    path: '/',
    name: 'main',
    meta: {title: '首页', code: 'xtpzgl'},
    component: main,
    redirect: {name: 'transportReserveFu'},
    children: [
      {path: 'transportReserveFu', name: 'transportReserveFu', meta: {code: 'xtpzgl-jggl'}, component: transportReserveFu},
      {path: 'transportReserveFuAdd', name: 'transportReserveFuAdd', meta: {code: 'xtpzgl-yhgl'}, component: transportReserveFuAdd},
      {path: 'transportReserveFuEdit', name: 'transportReserveFuEdit', meta: {code: 'xtpzgl-yhgl'}, component: transportReserveFuEdit},
      {path: 'truckDriverReceiveFu', name: 'truckDriverReceiveFu', meta: {code: 'xtpzgl-yhgl'}, component: truckDriverReceiveFu},
      {path: 'truckEnfactoryFuResult', name: 'truckEnfactoryFuResult', meta: {code: 'xtpzgl-yhgl'}, component: truckEnfactoryFuResult},
      {path: 'truckJiMaoFuResult', name: 'truckJiMaoFuResult', meta: {code: 'xtpzgl-yhgl'}, component: truckJiMaoFuResult},
      {path: 'truckLeaveFactoryFuResult', name: 'truckLeaveFactoryFuResult', meta: {code: 'xtpzgl-yhgl'}, component: truckLeaveFactoryFuResult},
      {path: 'truckQualityFuResult', name: 'truckQualityFuResult', meta: {code: 'xtpzgl-yhgl'}, component: truckQualityFuResult},
      {path: 'truckQualityFuResultEdit', name: 'truckQualityFuResultEdit', meta: {code: 'xtpzgl-yhgl'}, component: truckQualityFuResultEdit},
      {path: 'truckReturnResult', name: 'truckReturnResult', meta: {code: 'xtpzgl-yhgl'}, component: truckReturnResult},
      {path: 'truckUnloadFuResult', name: 'truckUnloadFuResult', meta: {code: 'xtpzgl-yhgl'}, component: truckUnloadFuResult},
    ]
  }
];

const router = new Router({
  routes: constantRouterMap
})
//  before
routerBefore(router, constantRouterMap);

export default router;
//  constantRouterMap
export const routes = constantRouterMap;
