import Vue from 'vue'
import Router from 'vue-router'

import routerBefore from '@/config/routerBefore.js'

// 主要
import main from '@/components/main.vue'
// 系统配置管理
import columnItem from '../components/columnItem.vue'
import Ship_dynamic_table from '../components/Ship_dynamic_table.vue'
import tableItem from '../components/tableItem.vue'
Vue.use(Router)

const constantRouterMap = [
  {
    path: '/',
    name: 'main',
    meta: {title: '首页', code: 'xtpzgl'},
    component: main,
    redirect: {name: 'cargoResult'},
    children: [
      {path: 'columnItem', name: 'columnItem', meta: {code: 'xtpzgl-jggl'}, component: columnItem},
      {path: 'Ship_dynamic_table', name: 'Ship_dynamic_table', meta: {code: 'xtpzgl-yhgl'}, component: Ship_dynamic_table},
      {path: 'tableItem', name: 'tableItem', meta: {code: 'xtpzgl-yhgl'}, component: tableItem},
    ]
  }
];

const router = new Router({
  routes: constantRouterMap
})
//  before
routerBefore(router, constantRouterMap);

export default router;
//  constantRouterMap
export const routes = constantRouterMap;
